Partage
  • Partager sur Facebook
  • Partager sur Twitter

Problème d'installation d'apache

    30 juin 2019 à 23:11:05

    Bonjour à tous,

    j'ai un bug sur mon raspberry 2 depuis 2 jours :

    - je peux m'y connecter via SSH (local et distant)

    - je n'ai plus accès à la page web, (ni en local ni en distant). J'ai pensé à un problème sur apache.

    - J'ai vérifié les dépôts, fait sudo apt-get update, etc. Mais lors que je tape : sudo apt-get install apache2, j'obtiens une erreur (cf fin de post).

    Quelqu'un pourrait me venir à l'aide ? Merci beaucoup d'avance !

    ----------------------------------------------

    pi@raspberrypi /etc/apache2 $ sudo apt-get install apache2

    Lecture des listes de paquets... Fait

    Construction de l'arbre des dépendances

    Lecture des informations d'état... Fait

    Certains paquets ne peuvent être installés. Ceci peut signifier

    que vous avez demandé l'impossible, ou bien, si vous utilisez

    la distribution unstable, que certains paquets n'ont pas encore

    été créés ou ne sont pas sortis d'Incoming.

    L'information suivante devrait vous aider à résoudre la situation :

    Les paquets suivants contiennent des dépendances non satisfaites :

     libcairo2 : Casse: weston (< 1.5.0-3~) mais 1.1.0-0rpi2013060501 devra être installé

     libdbus-1-3 : Casse: dbus (< 1.9.16-1~) mais 1.6.8-1+deb7u6 devra être installé

    W: Ignoring Provides line with DepCompareOp for package kodi-api-guilib

    W: Ignoring Provides line with DepCompareOp for package kodi-api-pvr

    W: Ignoring Provides line with DepCompareOp for package libapt-inst

    W: Ignoring Provides line with DepCompareOp for package libapt-pkg

    W: Ignoring Provides line with DepCompareOp for package libparse-cpan-meta-perl

    W: Ignoring Provides line with DepCompareOp for package libespeak-dev

    W: Ignoring Provides line with DepCompareOp for package libespeak1

    W: Ignoring Provides line with DepCompareOp for package libgpgme11-dev

    W: Ignoring Provides line with DepCompareOp for package libjpeg62

    W: Ignoring Provides line with DepCompareOp for package lsb

    W: Ignoring Provides line with DepCompareOp for package lsb-core

    W: Ignoring Provides line with DepCompareOp for package php-psr-http-message-implementation

    W: Ignoring Provides line with DepCompareOp for package php-psr-log-implementation

    W: Ignoring Provides line with DepCompareOp for package php-seclib

    W: Ignoring Provides line with DepCompareOp for package php-sabre-http

    W: Ignoring Provides line with DepCompareOp for package php-math-biginteger

    W: Ignoring Provides line with DepCompareOp for package pkg-config

    W: Ignoring Provides line with DepCompareOp for package pypy-cffi

    W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max

    W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min

    W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-max

    W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-min

    W: Ignoring Provides line with DepCompareOp for package sagenb-export

    W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-max

    W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-min

    W: Ignoring Provides line with DepCompareOp for package sagenb-export

    W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.

    E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.

    pi@raspberrypi /etc/apache2 $

    • Partager sur Facebook
    • Partager sur Twitter
      Staff 1 juillet 2019 à 9:52:51

      Bonjour,

      Mauvais forum

      Le sujet est déplacé de la section HTML / CSS vers la section Vos réseaux

      • Partager sur Facebook
      • Partager sur Twitter
      Seul on va plus vite, ensemble on va plus loin ... A maîtriser : Conception BDD, MySQL, PHP/MySQL
        1 juillet 2019 à 20:58:42

        Voici les retours des commandes  netstat -antp et dpkg -l |grep apache2 : 
        pi@raspberrypi ~ $ sudo netstat -antp
        Connexions Internet actives (serveurs et établies)
        Proto Recv-Q Send-Q Adresse locale          Adresse distante        Etat        PID/Program name
        tcp        0      0 0.0.0.0:3306            0.0.0.0:*               LISTEN      2884/mysqld
        tcp        0      0 0.0.0.0:80              0.0.0.0:*               LISTEN      2301/apache2
        tcp        0      0 0.0.0.0:21              0.0.0.0:*               LISTEN      3061/vsftpd
        tcp        0      0 0.0.0.0:4949            0.0.0.0:*               LISTEN      2200/munin-node
        tcp        0      0 0.0.0.0:5022            0.0.0.0:*               LISTEN      2986/sshd
        tcp        0    464 192.168.0.101:5022      192.168.0.1:49226       ESTABLISHED 3255/sshd: pi [priv
        ------------------------------------
        pi@raspberrypi ~ $ sudo dpkg -l |grep apache2
        ii  apache2                               2.2.22-13+deb7u7                        armhf        Apache HTTP Server metapackage
        ii  apache2-mpm-prefork                   2.2.22-13+deb7u7                        armhf        Apache HTTP Server - traditional non-threaded model
        ii  apache2-utils                         2.2.22-13+deb7u7                        armhf        utility programs for webservers
        ii  apache2.2-bin                         2.2.22-13+deb7u7                        armhf        Apache HTTP Server common binary files
        ii  apache2.2-common                      2.2.22-13+deb7u7                        armhf        Apache HTTP Server common files
        ii  libapache2-mod-php5                   5.4.45-0+deb7u11                        armhf        server-side, HTML-embedded scripting language (Apache 2 module)
        • Partager sur Facebook
        • Partager sur Twitter
          2 juillet 2019 à 10:05:58

          Donc ton apache2 est bien installé et en plus il est en écoute sur le réseau, donc tu devrais bien avoir accès à tes pages, le problème est donc au niveau de la configuration d'apache.
          • Partager sur Facebook
          • Partager sur Twitter
            8 juillet 2019 à 22:56:54

            Merci pour votre réponse. Ceci dit, je ne sais pas ce qu'il faut changer dans la configuration d'apache pour pouvoir simplement accéder au serveur.
            • Partager sur Facebook
            • Partager sur Twitter
              9 juillet 2019 à 9:11:44

              Regarde mon cours TCP/IP sur la partie web, je présente les virtualhosts notamment qui te permettront de comprendre comment fonctionne apache.
              • Partager sur Facebook
              • Partager sur Twitter

              Problème d'installation d'apache

              × Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
              • Editeur
              • Markdown